aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-install-cmake.sh
diff options
context:
space:
mode:
authorSimon Hausmann <simon.hausmann@qt.io>2019-12-12 16:15:53 +0100
committerAlexandru Croitor <alexandru.croitor@qt.io>2019-12-13 14:58:08 +0100
commit68c8693e5b451106478c0bc54aa5125f6cc2b02d (patch)
tree490d1358ec74478e4f951056f8a67f88aaf3f8fe /coin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-install-cmake.sh
parent2d6f569ee9d66ff49ab803ad9c48a954e637e1da (diff)
parent3aef26846488f98110cb322ac6e9dda43649e993 (diff)
Merge remote-tracking branch 'origin/wip/cmake' into dev
This merges merely the provisioning changes needed to perform cmake builds in the CI. The platform configuration changes will be applied incremental as we merge support in the individual modules. Conflicts: coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh Added ninja to coin/provisioning/qtci-linux-SLES-15-x86_64/02-zypperpackages.sh just to force re-provisioning. Removed module_config.yaml because that breaks license check in qmake builds. Change-Id: Ic074c0c881404f4361e61f66130c0cb07f5e8b84
Diffstat (limited to 'coin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-install-cmake.sh')
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-install-cmake.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-install-cmake.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-install-cmake.sh
new file mode 100755
index 00000000..062b2790
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-install-cmake.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs CMake 3.6.2
+
+set -ex
+
+# CMake is needed for autotests that verify that Qt can be built with CMake
+
+# shellcheck source=../common/linux/cmake_linux.sh
+source "${BASH_SOURCE%/*}/../common/linux/cmake_linux.sh"